"""Translation classes."""

from modeltranslation.translator import register, TranslationOptions
from webapp.models import *


@register(BaseFeed)
class BaseFeedTranslationOptions(TranslationOptions):
    fields = ('title', 'description', 'content')


@register(Feed)
class FeedTranslationOptions(TranslationOptions):
    fields = ()


@register(Tag)
class TagTranslationOptions(TranslationOptions):
    fields = ('name',)


@register(Event)
class EventTranslationOptions(TranslationOptions):
    fields = ('location',)


@register(Signup)
class SignupTranslationOptions(TranslationOptions):
    fields = ()


@register(SignupForm)
class SignupFormTranslationOptions(TranslationOptions):
    fields = ('title',)


@register(TemplateQuestion)
class TemplateQuestionTranslationOptions(TranslationOptions):
    fields = ()


@register(JobAd)
class JobAdTranslationOptions(TranslationOptions):
    fields = ('title', 'description', 'content',)
